Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageForwardInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageForwardInfo

Enclosing class:
  TdApi

public static final class TdApi.MessageForwardInfo extends TdApi.Object
Contains information about a forwarded message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`date`
Point in time (Unix timestamp) when the message was originally sent.
`long`
`fromChatId`
For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, the identifier of the chat from which the message was forwarded last time; 0 if unknown.
`long`
`fromMessageId`
For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, the identifier of the original message from which the new message was forwarded last time; 0 if unknown.
`TdApi.MessageForwardOrigin`
`origin`
Origin of a forwarded message.
`String`
`publicServiceAnnouncementType`
The type of a public service announcement for the forwarded message.

## Constructor Summary

Constructors
Constructor
Description
`MessageForwardInfo()`
Contains information about a forwarded message.
`MessageForwardInfo(TdApi.MessageForwardOrigin origin, int date, String publicServiceAnnouncementType, long fromChatId, long fromMessageId)`
Contains information about a forwarded message.
`MessageForwardInfo(DataInput input)`
Contains information about a forwarded message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### origin

public TdApi.MessageForwardOrigin origin
Origin of a forwarded message.

### date

public int date
Point in time (Unix timestamp) when the message was originally sent.

### publicServiceAnnouncementType

public String publicServiceAnnouncementType
The type of a public service announcement for the forwarded message.

### fromChatId

public long fromChatId
For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, the identifier of the chat from which the message was forwarded last time; 0 if unknown.

### fromMessageId

public long fromMessageId
For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, the identifier of the original message from which the new message was forwarded last time; 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageForwardInfo

public MessageForwardInfo()
Contains information about a forwarded message.

### MessageForwardInfo

public MessageForwardInfo(TdApi.MessageForwardOrigin origin, int date, String publicServiceAnnouncementType, long fromChatId, long fromMessageId)
Contains information about a forwarded message.

Parameters:
  `origin` - MessageForwardOrigin Origin of a forwarded message.
  `date` - int Point in time (Unix timestamp) when the message was originally sent.
  `publicServiceAnnouncementType` - String The type of a public service announcement for the forwarded message.
  `fromChatId` - long For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, the identifier of the chat from which the message was forwarded last time; 0 if unknown.
  `fromMessageId` - long For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, the identifier of the original message from which the new message was forwarded last time; 0 if unknown.

### MessageForwardInfo

public MessageForwardInfo(DataInput input) throws IOException
Contains information about a forwarded message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`